<?PHP if (!defined('beerman')) { exit(); }
if (isset($_POST["url"])) { 

$urlsite=validetext($_POST["url"]);
$urlsite=strip_tags($urlsite);

$site=getHost($urlsite);
$site=str_ireplace("www.","",$site);
$bll=mysql_query("SELECT * FROM seo_blacklist WHERE site='$site'");
if(mysql_num_rows($bll) > 0){
$res34=mysql_fetch_array($bll);
echo "$infstart ¬аш сайт находитс¤ в чЄрном списке.ѕричина: ".$res34["reason"]." $infend";
require_once($_SERVER['DOCUMENT_ROOT'].'/footer.php');
exit();
}
///

	$description=validetext($_POST["description"]);
		$texto=validetext($_POST["texto"]);
	if ($texto==""){echo "$infstart «аполнены не все пол¤ $infend"; include('footer.php'); exit();}
	if ($urlsite==""){echo "$infstart «аполнены не все пол¤ $infend"; include('footer.php'); exit();}
	if ($description==""){echo "$infstart «аполнены не все пол¤ $infend"; include('footer.php'); exit();}

$precio=$advstatlink-($skid*$advstatlink/100);
	
if(!isset($_GET["edit"])){
		$nowtime=time();
		$totit=validetext($_POST["url"]);
			mysql_query("INSERT INTO `tb_allhistory` (idus,data,doing,title) values ('".$_SESSION["iduser"]."','$nowtime','2','$totit')"); 
mysql_query("INSERT INTO `tb_statlinks` (fromus,price,url,description,texto)
 values ('".$_SESSION["iduser"]."','$precio','$urlsite','$description','$texto')") or die(mysql_error());
 }else{
	$ident=intval($_GET["edit"]);
		$sql=mysql_query("SELECT * FROM tb_statlinks WHERE paused=1 and fromus='".$_SESSION["iduser"]."' and id='$ident'") or die(mysql_error());
if(mysql_num_rows($sql)!=0){
	mysql_query("UPDATE tb_statlinks SET url='$urlsite',description='$description',texto='$texto',modered='$auto_moder' WHERE id='$ident'") or die(mysql_error());
}
}
	?>	<script type="text/javascript">
	location.replace("advmanager.php?adv=stat");
	</script>
	<noscript>
	<meta http-equiv="refresh" content="0; url=advmanager.php?adv=stat">
	</noscript>
	<?
}
?>
<? if(isset($_GET["edit"]))
{
?>
<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr><td class='value1'>
«десь вы можете изменить рекламный текст и прочие параметры рекламной площадки. 
¬ случае изменени¤ заголовка, описани¤ или url-адреса, площадка будет направлена на проверку. 
ѕосле прохождени¤ проверки, реклама будет снова доступна к запуску.
</td></tr>
</table><?
}else{
?>
<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr><td class='value1'>
vлавное преимущество контекстной рекламы на <span class='seosprint'><?=$sitename ?></span> Ч 
это максимально качес&#xAD;твен&#xAD;на¤ аудитори¤. ѕользователь не получает вознаграждени¤ за клик по 
вашей рекламе. ј если уже кликнул - значит ему ваш ресурс действительно интересен. 
 онтекстна¤ реклама расположена почти на всех страницах <span class='seosprint'><?=$sitename ?></span>. 
¬аша реклама может находитьс¤ в кон&#xAD;тексте сколько угодно. 
¬ы платите только за фактический переход по ссылке.
</td></tr>
</table>
<?
}if(isset($_GET["edit"])){
$ident=intval($_GET["edit"]);
$sql=mysql_query("SELECT * FROM tb_statlinks WHERE paused=1 and fromus='".$_SESSION["iduser"]."' and id='$ident'") or die(mysql_error());
if(mysql_num_rows($sql)==0){
echo "<br /><span class='taskquestion'><center>$infstart ѕеред редактированием необходимо приостановить рекламную кампанию $infend</center></span>";
require_once($_SERVER['DOCUMENT_ROOT'].'/footer.php'); exit();
}
$res=mysql_fetch_assoc($sql);
}
?>

                        <form name="surforder" method="post" action="" onsubmit="return SbmForm(); return false;">
                            <input type="hidden" name="ask_editcode" value="0" />
                            <table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0'>
                                <thead>
                                    <tr>
                                        <th align='center' width='42%' nowrap='nowrap'>Параметр</th>
                                        <th align='center' nowrap='nowrap'>Оначение</th>
                                        <th></th>

                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td><b>Заголовок ссылки</b></td>
                                        <td class="value"><input class="val" type="text" name="description" maxlength="28" value="<?if(isset($res["description"])) echo $res["description"]; ?>" /></td>
                                        <td class="service"><span id="hint1" class="hint-quest"></span></td>
                                    </tr>

                                    <tr>
                                        <td>Краткое описание ссылки</td>
                                        <td class="value"><input class="val" type="text" name="texto" maxlength="60" value="<?if(isset($res["texto"])) echo $res["texto"]; ?>" /></td>
                                        <td class="service"><span id="hint2" class="hint-quest"></span></td>
                                    </tr>
                                    <tr>
                                        <td>URL сайта</td>

                                        <td class="value"><input class="val" type="text" name="url" maxlength="300" value="<? if(isset($_GET["edit"])) { echo $res["url"]; }else{ echo "http://"; } ?>" /></td>
                                        <td class="service"><span id="hint3" class="hint-quest"></span></td>
                                    </tr>
                                    <tr>
                                        <td><b>Стоимость (со скидкой <?=$skid?> %)</b></td>
                                        <td class="value" colspan="2">
                                            <input type="text" name="linkprice" maxlength="5" value="<?=$advstatlink-($skid*$advstatlink/100) ?>" readonly="readonly" /><?=$sitevalname ?>
                                        </td>
                                    </tr>

                                </tbody>
                            </table>
                            <div class='centerbtn'><span class='taskquestion'><center>
                                <p><a href="/rules.html" target="_blank">Прочтите правила (ссылка откроется в новом окне)</a><br />
                                    <input type="checkbox" name="tosaccept" value="1" />я согласен(на) с правилами размещения рекламы на <?=$sitename ?>
                                </p></center></span><br />
                                <input type='submit' class='button-green' style="height:26px;" name='submitall' value='Сохранить' />
                            </div>
                        </form>

